import { ApolloQueryResult, DocumentNode, ObservableQuery, OperationVariables, TypedDocumentNode } from '../../core';
interface CacheEntry<TData, TVariables> {
    observable: ObservableQuery<TData, TVariables>;
    fulfilled: boolean;
    promise: Promise<ApolloQueryResult<TData>>;
}
export declare class SuspenseCache {
    private queries;
    add<TData = any, TVariables extends OperationVariables = OperationVariables>(query: DocumentNode | TypedDocumentNode<TData, TVariables>, variables: TVariables | undefined, { promise, observable, }: {
        promise: Promise<any>;
        observable: ObservableQuery<TData, TVariables>;
    }): CacheEntry<TData, TVariables>;
    lookup<TData = any, TVariables extends OperationVariables = OperationVariables>(query: DocumentNode | TypedDocumentNode<TData, TVariables>, variables: TVariables | undefined): CacheEntry<TData, TVariables> | undefined;
    remove(query: DocumentNode, variables: OperationVariables | undefined): void;
    private getVariablesKey;
}
export {};
//# sourceMappingURL=SuspenseCache.d.ts.map