import { useContext } from 'react';
import { getApolloContext } from "../context/index.js";
import { invariant } from "../../utilities/globals/index.js";
export function useSuspenseCache() {
    var suspenseCache = useContext(getApolloContext()).suspenseCache;
    __DEV__ ? invariant(suspenseCache, 'Could not find a "suspenseCache" in the context. Wrap the root component ' +
        'in an <ApolloProvider> and provide a suspenseCache.') : invariant(suspenseCache, 32);
    return suspenseCache;
}
//# sourceMappingURL=useSuspenseCache.js.map