import { ApolloError, DocumentNode, OperationVariables, TypedDocumentNode } from '../../core';
import { SuspenseQueryHookOptions, ObservableQueryFields } from '../types/types';
export interface UseSuspenseQueryResult<TData = any, TVariables = OperationVariables> {
    data: TData;
    error: ApolloError | undefined;
    fetchMore: ObservableQueryFields<TData, TVariables>['fetchMore'];
    refetch: ObservableQueryFields<TData, TVariables>['refetch'];
}
export declare function useSuspenseQuery_experimental<TData = any, TVariables extends OperationVariables = OperationVariables>(query: DocumentNode | TypedDocumentNode<TData, TVariables>, options?: SuspenseQueryHookOptions<TData, TVariables>): UseSuspenseQueryResult<TData, TVariables>;
//# sourceMappingURL=useSuspenseQuery.d.ts.map